CREATE TABLE cst_qpp_txn_groups_gt (
    TRANSACTION_GROUP_ID             NUMBER(18, 0)    NOT NULL,
    SOURCE_SYSTEM_REFERENCE          VARCHAR2(240),
    TXN_GROUP_COLUMN_ID              NUMBER(18, 0),
    INVENTORY_ORG_ID                 NUMBER(18, 0),
    BASE_TXN_ACTION_ID               NUMBER(18, 0),
    BASE_TXN_SOURCE_TYPE_ID          NUMBER(18, 0),
    TXN_TYPE                         VARCHAR2(120),
    TRANSACTION_FLOW_TYPE            NUMBER(18, 0),
    TXN_GROUP_TYPE_CODE              VARCHAR2(80) ,
    TXN_GROUP_TAB_COL_CODE           VARCHAR2(80) ,
    DOC_SOURCE_SYSTEM_REFERENCE      VARCHAR2(240),
    TRANSFER_TXN_GROUP_COLUMN_ID     NUMBER(18, 0),
    TRANSFER_INVENTORY_ORG_ID        NUMBER(18, 0),
    TRANSFER_TXN_TYPE                VARCHAR2(120),
    TRANSFER_TRANSACTION_GROUP_ID    NUMBER(18, 0),
    TRANSFER_TXN_FLOW_TYPE           NUMBER(18, 0),
    TRANSFER_TXN_GROUP_TYPE_CODE     VARCHAR2(80) ,
    TXFR_TXN_GROUP_TAB_COL_CODE      VARCHAR2(80) ,
    TRANSACTION_GROUPING_CODE        VARCHAR2(400),
    TRANSFER_TXN_GROUPING_CODE       VARCHAR2(400),
    TRANSACTION_GROUP_ID             NUMBER(18, 0)    NOT NULL,
    SOURCE_SYSTEM_REFERENCE          VARCHAR2(240),
    TXN_GROUP_COLUMN_ID              NUMBER(18, 0),
    INVENTORY_ORG_ID                 NUMBER(18, 0),
    BASE_TXN_ACTION_ID               NUMBER(18, 0),
    BASE_TXN_SOURCE_TYPE_ID          NUMBER(18, 0),
    TXN_TYPE                         VARCHAR2(120),
    TRANSACTION_FLOW_TYPE            NUMBER(18, 0),
    TXN_GROUP_TYPE_CODE              VARCHAR2(80) ,
    TXN_GROUP_TAB_COL_CODE           VARCHAR2(80) ,
    DOC_SOURCE_SYSTEM_REFERENCE      VARCHAR2(240),
    TRANSFER_TXN_GROUP_COLUMN_ID     NUMBER(18, 0),
    TRANSFER_INVENTORY_ORG_ID        NUMBER(18, 0),
    TRANSFER_TXN_TYPE                VARCHAR2(120),
    TRANSFER_TRANSACTION_GROUP_ID    NUMBER(18, 0),
    TRANSFER_TXN_FLOW_TYPE           NUMBER(18, 0),
    TRANSFER_TXN_GROUP_TYPE_CODE     VARCHAR2(80) ,
    TXFR_TXN_GROUP_TAB_COL_CODE      VARCHAR2(80) ,
    TRANSACTION_GROUPING_CODE        VARCHAR2(400),
    TRANSFER_TXN_GROUPING_CODE       VARCHAR2(400),
    CONSTRAINT pk_cst_qpp_txn_groups_gt PRIMARY KEY (SOURCE_SYSTEM_REFERENCE, INVENTORY_ORG_ID, TXN_TYPE, TRANSACTION_FLOW_TYPE, TXN_GROUP_TYPE_CODE, TXN_GROUP_TAB_COL_CODE, TRANSACTION_GROUPING_CODE, SOURCE_SYSTEM_REFERENCE, INVENTORY_ORG_ID, TXN_TYPE, TRANSACTION_FLOW_TYPE, TXN_GROUP_TYPE_CODE, TXN_GROUP_TAB_COL_CODE, TRANSACTION_GROUPING_CODE)
);
